# This file was created by configpm when Perl was built. Any changes
# made to this file will be lost the next time perl is built.

package Config;
@EXPORT = qw(%Config);
@EXPORT_OK = qw(myconfig config_sh config_vars config_re);

my %Export_Cache = map {($_ => 1)} (@EXPORT, @EXPORT_OK);

# Define our own import method to avoid pulling in the full Exporter:
sub import {
    my $pkg = shift;
    @_ = @EXPORT unless @_;

    my @funcs = grep $_ ne '%Config', @_;
    my $export_Config = @funcs < @_ ? 1 : 0;

    my $callpkg = caller(0);
    foreach my $func (@funcs) {
	die sprintf qq{"%s" is not exported by the %s module\n},
	    $func, __PACKAGE__ unless $Export_Cache{$func};
	*{$callpkg.'::'.$func} = \&{$func};
    }

    *{"$callpkg\::Config"} = \%Config if $export_Config;
    return;
}

die "Perl lib version (v5.8.6) doesn't match executable version ($])"
    unless $^V;

$^V eq v5.8.6
    or die "Perl lib version (v5.8.6) doesn't match executable version (" .
	sprintf("v%vd",$^V) . ")";

##
## This file was produced by running the Configure script. It holds all the
## definitions figured out by Configure. Should you modify one of these values,
## do not forget to propagate your changes by running "Configure -der". You may
## instead choose to run each of the .SH files by yourself, or "Configure -S".
##
#
## Package name      : perl5
## Source directory  : .
## Configuration time: Mon Mar 20 11:23:48 EST 2006
## Configured by     : ibm
## Target system     : aix belair 1 5 0002743a4c00 
#
## Configure command line arguments.
#PERL_PATCHLEVEL=

our $summary : unique = <<'!END!';
Summary of my $package (revision $revision $version_patchlevel_string) configuration:
  Platform:
    osname=$osname, osvers=$osvers, archname=$archname
    uname='$myuname'
    config_args='$config_args'
    hint=$hint, useposix=$useposix, d_sigaction=$d_sigaction
    usethreads=$usethreads use5005threads=$use5005threads useithreads=$useithreads usemultiplicity=$usemultiplicity
    useperlio=$useperlio d_sfio=$d_sfio uselargefiles=$uselargefiles usesocks=$usesocks
    use64bitint=$use64bitint use64bitall=$use64bitall uselongdouble=$uselongdouble
    usemymalloc=$usemymalloc, bincompat5005=undef
  Compiler:
    cc='$cc', ccflags ='$ccflags',
    optimize='$optimize',
    cppflags='$cppflags'
    ccversion='$ccversion', gccversion='$gccversion', gccosandvers='$gccosandvers'
    intsize=$intsize, longsize=$longsize, ptrsize=$ptrsize, doublesize=$doublesize, byteorder=$byteorder
    d_longlong=$d_longlong, longlongsize=$longlongsize, d_longdbl=$d_longdbl, longdblsize=$longdblsize
    ivtype='$ivtype', ivsize=$ivsize, nvtype='$nvtype', nvsize=$nvsize, Off_t='$lseektype', lseeksize=$lseeksize
    alignbytes=$alignbytes, prototype=$prototype
  Linker and Libraries:
    ld='$ld', ldflags ='$ldflags'
    libpth=$libpth
    libs=$libs
    perllibs=$perllibs
    libc=$libc, so=$so, useshrplib=$useshrplib, libperl=$libperl
    gnulibc_version='$gnulibc_version'
  Dynamic Linking:
    dlsrc=$dlsrc, dlext=$dlext, d_dlsymun=$d_dlsymun, ccdlflags='$ccdlflags'
    cccdlflags='$cccdlflags', lddlflags='$lddlflags'

!END!
my $i = 0;
foreach my $c (8,7,6,5,4,3,2) { $i |= ord($c); $i <<= 8 }
$i |= ord(1);
my $byteorder = join('', unpack('aaaaaaaa', pack('Q', $i)));
my $summary_expanded;

sub myconfig {
    return $summary_expanded if $summary_expanded;
    ($summary_expanded = $summary) =~ s{\$(\w+)}
		 { my $c = $Config{$1}; defined($c) ? $c : 'undef' }ge;
    $summary_expanded;
}

local *_ = \my $a;
$_ = <<'!END!';
archlibexp='/opt/rational/common/lib/perl5/5.8.6/aix-multi'
archname='aix-multi'
cc='cc_r'
ccflags='-qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi -DNEED_PTHREAD_INIT -I/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include -q32 -D_LARGE_FILES -qlonglong'
cppflags='-qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi -DNEED_PTHREAD_INIT -I/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include'
dlsrc='dl_aix.xs'
dynamic_ext='B ByteLoader Cwd Data/Dumper Devel/DProf Devel/PPPort Devel/Peek Digest/MD5 Encode Fcntl File/Glob Filter/Util/Call I18N/Langinfo IO IPC/SysV List/Util MIME/Base64 NDBM_File ODBM_File Opcode POSIX PerlIO/encoding PerlIO/scalar PerlIO/via SDBM_File Socket Storable Sys/Hostname Sys/Syslog Time/HiRes Unicode/Normalize XS/APItest XS/Typemap attrs re threads threads/shared'
installarchlib='/opt/rational/common/lib/perl5/5.8.6/aix-multi'
installprivlib='/opt/rational/common/lib/perl5/5.8.6'
libpth='/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib'
libs='-lnsl -ldbm -ldl -lld -lm -lcrypt -lpthreads -lc_r'
osname='aix'
osvers='5.1.0.0'
prefix='/opt/rational/common'
privlibexp='/opt/rational/common/lib/perl5/5.8.6'
sharpbang='#!'
shsharp='true'
so='so'
startsh='#!/bin/sh'
static_ext=' '
Author=''
CONFIG='true'
Date='$Date'
Header=''
Id='$Id'
Locker=''
Log='$Log'
Mcc='Mcc'
PATCHLEVEL='8'
PERL_API_REVISION='5'
PERL_API_SUBVERSION='0'
PERL_API_VERSION='8'
PERL_CONFIG_SH='true'
PERL_REVISION='5'
PERL_SUBVERSION='6'
PERL_VERSION='8'
RCSfile='$RCSfile'
Revision='$Revision'
SUBVERSION='6'
Source=''
State=''
_a='.a'
_exe=''
_o='.o'
afs='false'
afsroot='/afs'
alignbytes='8'
ansi2knr=''
aphostname='/usr/bin/hostname'
api_revision='5'
api_subversion='0'
api_version='8'
api_versionstring='5.8.0'
ar='ar'
archlib='/opt/rational/common/lib/perl5/5.8.6/aix-multi'
archname64=''
archobjs=''
asctime_r_proto='REENTRANT_PROTO_B_SB'
awk='awk'
baserev='5.0'
bash=''
bin='/opt/rational/common/bin'
binexp='/opt/rational/common/bin'
bison='bison'
byacc='byacc'
byteorder='87654321'
c='\c'
castflags='1'
cat='cat'
cccdlflags=' '
ccdlflags='  -bE:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE/perl.exp'
ccflags_uselargefiles='-q32 -D_LARGE_FILES -qlonglong'
ccname='cc_r'
ccsymbols='_AIX50=1 _AIX51=1 _IBMR2=1 _POWER=1 _THREAD_SAFE=1 __VACPP_MULTI__=1'
ccversion='5.0.2.0'
cf_by='ibm'
cf_email='sw_support@us.ibm.com'
cf_time='Mon Mar 20 11:23:48 EST 2006'
charsize='1'
chgrp=''
chmod='chmod'
chown=''
clocktype='clock_t'
comm='comm'
compress=''
config_arg0='Configure'
config_arg10='perl=ratlperl'
config_arg11='-D'
config_arg12='startperl=:'
config_arg13='-D'
config_arg14='perlpath=ratlperl'
config_arg15='-D'
config_arg16='usemultiplicity'
config_arg17='-U'
config_arg18='use5005threads'
config_arg19='-D'
config_arg1='-d'
config_arg20='usedl'
config_arg21='-D'
config_arg22='useshrplib'
config_arg23='-U'
config_arg24='usemymalloc'
config_arg25='-D'
config_arg26='cf_by=ibm'
config_arg27='-D'
config_arg28='cf_email=sw_support@us.ibm.com'
config_arg29='-D'
config_arg2='-e'
config_arg30='perladmin=sw_support@us.ibm.com'
config_arg31='-D'
config_arg32='uselargefiles'
config_arg33='-D'
config_arg34='usethreads'
config_arg35='-D'
config_arg36='useithreads'
config_arg37='-D'
config_arg38='use64bitint'
config_arg39='-D'
config_arg3='-O'
config_arg40='make=clearmake -OvV'
config_arg41='-D'
config_arg42='ldcc=xlC_r'
config_arg43='-D'
config_arg44='optimize=-O3'
config_arg45='-D'
config_arg46='libpth=/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib'
config_arg47='-D'
config_arg48='locincpth=/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include'
config_arg49='-U'
config_arg4='-r'
config_arg50='loclibpth='
config_arg51='-D'
config_arg52='lddlflags=-bhalt:4 -bexpall -bI:$(PERL_INC)/perl.exp -G -bnoentry -blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads'
config_arg53='-D'
config_arg54='libswanted=nsl dbm dl ld m crypt C_r pthreads c_r'
config_arg55='-D'
config_arg56='ldflags=-blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads'
config_arg57='-D'
config_arg58='dlsrc=dl_aix.xs'
config_arg59='-D'
config_arg5='-D'
config_arg60='ldlibpthname=LIBPATH'
config_arg61='-D'
config_arg62='ld=ld'
config_arg63='-D'
config_arg64='ccflags= -qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi'
config_arg65='-D'
config_arg66='libperl=libratlperl.so'
config_arg67='-D'
config_arg68='so=so'
config_arg6='cc=xlc_r'
config_arg7='-D'
config_arg8='prefix=/opt/rational/common'
config_arg9='-D'
config_argc='68'
config_args='-d -e -O -r -D cc=xlc_r -D prefix=/opt/rational/common -D perl=ratlperl -D startperl=: -D perlpath=ratlperl -D usemultiplicity -U use5005threads -D usedl -D useshrplib -U usemymalloc -D cf_by=ibm -D cf_email=sw_support@us.ibm.com -D perladmin=sw_support@us.ibm.com -D uselargefiles -D usethreads -D useithreads -D use64bitint -D make=clearmake -OvV -D ldcc=xlC_r -D optimize=-O3 -D libpth=/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib -D locincpth=/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include -U loclibpth= -D lddlflags=-bhalt:4 -bexpall -bI:$(PERL_INC)/perl.exp -G -bnoentry -blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads -D libswanted=nsl dbm dl ld m crypt C_r pthreads c_r -D ldflags=-blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads -D dlsrc=dl_aix.xs -D ldlibpthname=LIBPATH -D ld=ld -D ccflags= -qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi -D libperl=libratlperl.so -D so=so'
contains='grep'
cp='cp'
cpio=''
cpp='cpp'
cpp_stuff='42'
cppccsymbols='_AIX=1 _AIX32=1 _AIX41=1 _AIX43=1'
cpplast=''
cppminus=''
cpprun='/usr/lib/cpp'
cppstdin='cppstdin'
cppsymbols='_ALL_SOURCE=1 _ANSI_C_SOURCE=1 _BIG_ENDIAN=1 __BIG_ENDIAN__=1 _IBMR2=1 _ILP32=1 _LARGE_FILE_API=1 _LONG_LONG=1 _POSIX_SOURCE=1 _POWER=1 _XOPEN_SOURCE=500 _XOPEN_SOURCE_EXTENDED=1 __unix=1 __unix__=1'
crypt_r_proto='REENTRANT_PROTO_B_CCS'
cryptlib=''
csh='csh'
ctermid_r_proto='0'
ctime_r_proto='REENTRANT_PROTO_B_SB'
d_Gconvert='gcvt((x),(n),(b))'
d_PRIEUldbl='define'
d_PRIFUldbl='define'
d_PRIGUldbl='define'
d_PRIXU64='define'
d_PRId64='define'
d_PRIeldbl='define'
d_PRIfldbl='define'
d_PRIgldbl='define'
d_PRIi64='define'
d_PRIo64='define'
d_PRIu64='define'
d_PRIx64='define'
d_SCNfldbl='define'
d__fwalk='undef'
d_access='define'
d_accessx='define'
d_aintl='undef'
d_alarm='define'
d_archlib='define'
d_asctime_r='define'
d_atolf='undef'
d_atoll='undef'
d_attribut='define'
d_bcmp='define'
d_bcopy='define'
d_bsd='define'
d_bsdgetpgrp='undef'
d_bsdsetpgrp='undef'
d_bzero='define'
d_casti32='undef'
d_castneg='undef'
d_charvspr='undef'
d_chown='define'
d_chroot='define'
d_chsize='undef'
d_class='define'
d_closedir='define'
d_cmsghdr_s='define'
d_const='define'
d_copysignl='undef'
d_crypt='define'
d_crypt_r='define'
d_csh='define'
d_ctermid_r='undef'
d_ctime_r='define'
d_cuserid='define'
d_dbl_dig='define'
d_dbminitproto='undef'
d_difftime='define'
d_dirfd='define'
d_dirnamlen='define'
d_dlerror='define'
d_dlopen='define'
d_dlsymun='undef'
d_dosuid='undef'
d_drand48_r='undef'
d_drand48proto='define'
d_dup2='define'
d_eaccess='undef'
d_endgrent='define'
d_endgrent_r='undef'
d_endhent='define'
d_endhostent_r='define'
d_endnent='define'
d_endnetent_r='define'
d_endpent='define'
d_endprotoent_r='define'
d_endpwent='define'
d_endpwent_r='undef'
d_endsent='define'
d_endservent_r='define'
d_eofnblk='define'
d_eunice='undef'
d_faststdio='define'
d_fchdir='define'
d_fchmod='define'
d_fchown='define'
d_fcntl='define'
d_fcntl_can_lock='define'
d_fd_macros='define'
d_fd_set='define'
d_fds_bits='define'
d_fgetpos='define'
d_finite='define'
d_finitel='undef'
d_flexfnam='define'
d_flock='undef'
d_flockproto='undef'
d_fork='define'
d_fp_class='undef'
d_fpathconf='define'
d_fpclass='undef'
d_fpclassify='undef'
d_fpclassl='undef'
d_fpos64_t='define'
d_frexpl='define'
d_fs_data_s='undef'
d_fseeko='define'
d_fsetpos='define'
d_fstatfs='define'
d_fstatvfs='define'
d_fsync='define'
d_ftello='define'
d_ftime='undef'
d_getcwd='define'
d_getespwnam='undef'
d_getfsstat='undef'
d_getgrent='define'
d_getgrent_r='undef'
d_getgrgid_r='define'
d_getgrnam_r='define'
d_getgrps='define'
d_gethbyaddr='define'
d_gethbyname='define'
d_gethent='define'
d_gethname='define'
d_gethostbyaddr_r='define'
d_gethostbyname_r='define'
d_gethostent_r='define'
d_gethostprotos='define'
d_getitimer='define'
d_getlogin='define'
d_getlogin_r='define'
d_getmnt='undef'
d_getmntent='define'
d_getnbyaddr='define'
d_getnbyname='define'
d_getnent='define'
d_getnetbyaddr_r='define'
d_getnetbyname_r='define'
d_getnetent_r='define'
d_getnetprotos='define'
d_getpagsz='define'
d_getpbyname='define'
d_getpbynumber='define'
d_getpent='define'
d_getpgid='define'
d_getpgrp2='undef'
d_getpgrp='define'
d_getppid='define'
d_getprior='define'
d_getprotobyname_r='define'
d_getprotobynumber_r='define'
d_getprotoent_r='define'
d_getprotoprotos='define'
d_getprpwnam='undef'
d_getpwent='define'
d_getpwent_r='undef'
d_getpwnam_r='define'
d_getpwuid_r='define'
d_getsbyname='define'
d_getsbyport='define'
d_getsent='define'
d_getservbyname_r='define'
d_getservbyport_r='define'
d_getservent_r='define'
d_getservprotos='define'
d_getspnam='undef'
d_getspnam_r='undef'
d_gettimeod='define'
d_gmtime_r='define'
d_gnulibc='undef'
d_grpasswd='define'
d_hasmntopt='define'
d_htonl='define'
d_ilogbl='undef'
d_index='undef'
d_inetaton='define'
d_int64_t='define'
d_isascii='define'
d_isfinite='undef'
d_isinf='define'
d_isnan='define'
d_isnanl='undef'
d_killpg='define'
d_lchown='define'
d_ldbl_dig='define'
d_link='define'
d_localtime_r='define'
d_locconv='define'
d_lockf='define'
d_longdbl='define'
d_longlong='define'
d_lseekproto='define'
d_lstat='define'
d_madvise='define'
d_mblen='define'
d_mbstowcs='define'
d_mbtowc='define'
d_memchr='define'
d_memcmp='define'
d_memcpy='define'
d_memmove='define'
d_memset='define'
d_mkdir='define'
d_mkdtemp='undef'
d_mkfifo='define'
d_mkstemp='define'
d_mkstemps='undef'
d_mktime='define'
d_mmap='define'
d_modfl='undef'
d_modfl_pow32_bug='undef'
d_modflproto='undef'
d_mprotect='define'
d_msg='define'
d_msg_ctrunc='define'
d_msg_dontroute='define'
d_msg_oob='define'
d_msg_peek='define'
d_msg_proxy='undef'
d_msgctl='define'
d_msgget='define'
d_msghdr_s='define'
d_msgrcv='define'
d_msgsnd='define'
d_msync='define'
d_munmap='define'
d_mymalloc='undef'
d_nice='define'
d_nl_langinfo='define'
d_nv_preserves_uv='undef'
d_off64_t='define'
d_old_pthread_create_joinable='undef'
d_oldpthreads='undef'
d_oldsock='undef'
d_open3='define'
d_pathconf='define'
d_pause='define'
d_perl_otherlibdirs='undef'
d_phostname='undef'
d_pipe='define'
d_poll='define'
d_portable='define'
d_procselfexe='undef'
d_pthread_atfork='define'
d_pthread_attr_setscope='define'
d_pthread_yield='undef'
d_pwage='undef'
d_pwchange='undef'
d_pwclass='undef'
d_pwcomment='undef'
d_pwexpire='undef'
d_pwgecos='define'
d_pwpasswd='define'
d_pwquota='undef'
d_qgcvt='undef'
d_quad='define'
d_random_r='undef'
d_readdir64_r='undef'
d_readdir='define'
d_readdir_r='define'
d_readlink='define'
d_readv='define'
d_recvmsg='define'
d_rename='define'
d_rewinddir='define'
d_rmdir='define'
d_safebcpy='undef'
d_safemcpy='undef'
d_sanemcmp='define'
d_sbrkproto='define'
d_scalbnl='undef'
d_sched_yield='define'
d_scm_rights='define'
d_seekdir='define'
d_select='define'
d_sem='define'
d_semctl='define'
d_semctl_semid_ds='define'
d_semctl_semun='define'
d_semget='define'
d_semop='define'
d_sendmsg='define'
d_setegid='define'
d_seteuid='define'
d_setgrent='define'
d_setgrent_r='undef'
d_setgrps='define'
d_sethent='define'
d_sethostent_r='define'
d_setitimer='define'
d_setlinebuf='define'
d_setlocale='define'
d_setlocale_r='undef'
d_setnent='define'
d_setnetent_r='define'
d_setpent='define'
d_setpgid='define'
d_setpgrp2='undef'
d_setpgrp='define'
d_setprior='define'
d_setproctitle='undef'
d_setprotoent_r='define'
d_setpwent='define'
d_setpwent_r='undef'
d_setregid='undef'
d_setresgid='undef'
d_setresuid='undef'
d_setreuid='undef'
d_setrgid='undef'
d_setruid='undef'
d_setsent='define'
d_setservent_r='define'
d_setsid='define'
d_setvbuf='define'
d_sfio='undef'
d_shm='define'
d_shmat='define'
d_shmatprototype='define'
d_shmctl='define'
d_shmdt='define'
d_shmget='define'
d_sigaction='define'
d_sigprocmask='define'
d_sigsetjmp='define'
d_sockatmark='undef'
d_sockatmarkproto='undef'
d_socket='define'
d_socklen_t='define'
d_sockpair='define'
d_socks5_init='undef'
d_sqrtl='define'
d_srand48_r='undef'
d_srandom_r='define'
d_sresgproto='undef'
d_sresuproto='undef'
d_statblks='define'
d_statfs_f_flags='undef'
d_statfs_s='define'
d_statvfs='define'
d_stdio_cnt_lval='define'
d_stdio_ptr_lval='define'
d_stdio_ptr_lval_nochange_cnt='define'
d_stdio_ptr_lval_sets_cnt='undef'
d_stdio_stream_array='define'
d_stdiobase='define'
d_stdstdio='define'
d_strchr='define'
d_strcoll='define'
d_strctcpy='define'
d_strerrm='strerror(e)'
d_strerror='define'
d_strerror_r='undef'
d_strftime='define'
d_strtod='define'
d_strtol='define'
d_strtold='define'
d_strtoll='define'
d_strtoq='undef'
d_strtoul='define'
d_strtoull='define'
d_strtouq='undef'
d_strxfrm='define'
d_suidsafe='undef'
d_symlink='define'
d_syscall='undef'
d_syscallproto='undef'
d_sysconf='define'
d_sysernlst=''
d_syserrlst='define'
d_system='define'
d_tcgetpgrp='define'
d_tcsetpgrp='define'
d_telldir='define'
d_telldirproto='define'
d_time='define'
d_times='define'
d_tm_tm_gmtoff='undef'
d_tm_tm_zone='undef'
d_tmpnam_r='undef'
d_truncate='define'
d_ttyname_r='define'
d_tzname='define'
d_u32align='define'
d_ualarm='define'
d_umask='define'
d_uname='define'
d_union_semun='undef'
d_unordered='define'
d_usleep='define'
d_usleepproto='define'
d_ustat='define'
d_vendorarch='undef'
d_vendorbin='undef'
d_vendorlib='undef'
d_vendorscript='undef'
d_vfork='undef'
d_void_closedir='undef'
d_voidsig='define'
d_voidtty=''
d_volatile='define'
d_vprintf='define'
d_wait4='define'
d_waitpid='define'
d_wcstombs='define'
d_wctomb='define'
d_writev='define'
d_xenix='undef'
date='date'
db_hashtype='u_int32_t'
db_prefixtype='size_t'
db_version_major=''
db_version_minor=''
db_version_patch=''
defvoidused='15'
direntrytype='struct dirent'
dlext='so'
doublesize='8'
drand01='drand48()'
drand48_r_proto='0'
eagain='EAGAIN'
ebcdic='undef'
echo='echo'
egrep='egrep'
emacs=''
endgrent_r_proto='0'
endhostent_r_proto='REENTRANT_PROTO_V_D'
endnetent_r_proto='REENTRANT_PROTO_V_D'
endprotoent_r_proto='REENTRANT_PROTO_V_D'
endpwent_r_proto='0'
endservent_r_proto='REENTRANT_PROTO_V_D'
eunicefix=':'
exe_ext=''
expr='expr'
extensions='B ByteLoader Cwd Data/Dumper Devel/DProf Devel/PPPort Devel/Peek Digest/MD5 Encode Fcntl File/Glob Filter/Util/Call I18N/Langinfo IO IPC/SysV List/Util MIME/Base64 NDBM_File ODBM_File Opcode POSIX PerlIO/encoding PerlIO/scalar PerlIO/via SDBM_File Socket Storable Sys/Hostname Sys/Syslog Time/HiRes Unicode/Normalize XS/APItest XS/Typemap attrs re threads threads/shared Errno'
extras=''
fflushNULL='define'
fflushall='undef'
find=''
firstmakefile='makefile'
flex=''
fpossize='8'
fpostype='fpos_t'
freetype='void'
from=':'
full_ar='/usr/bin/ar'
full_csh='/usr/bin/csh'
full_sed='/usr/bin/sed'
gccansipedantic=''
gccosandvers=''
gccversion=''
getgrent_r_proto='0'
getgrgid_r_proto='REENTRANT_PROTO_I_TSBIR'
getgrnam_r_proto='REENTRANT_PROTO_I_CSBIR'
gethostbyaddr_r_proto='REENTRANT_PROTO_I_CWISD'
gethostbyname_r_proto='REENTRANT_PROTO_I_CSD'
gethostent_r_proto='REENTRANT_PROTO_I_SD'
getlogin_r_proto='REENTRANT_PROTO_I_BW'
getnetbyaddr_r_proto='REENTRANT_PROTO_I_TISD'
getnetbyname_r_proto='REENTRANT_PROTO_I_CSD'
getnetent_r_proto='REENTRANT_PROTO_I_SD'
getprotobyname_r_proto='REENTRANT_PROTO_I_CSD'
getprotobynumber_r_proto='REENTRANT_PROTO_I_ISD'
getprotoent_r_proto='REENTRANT_PROTO_I_SD'
getpwent_r_proto='0'
getpwnam_r_proto='REENTRANT_PROTO_I_CSBIR'
getpwuid_r_proto='REENTRANT_PROTO_I_TSBIR'
getservbyname_r_proto='REENTRANT_PROTO_I_CCSD'
getservbyport_r_proto='REENTRANT_PROTO_I_ICSD'
getservent_r_proto='REENTRANT_PROTO_I_SD'
getspnam_r_proto='0'
gidformat='"lu"'
gidsign='1'
gidsize='4'
gidtype='gid_t'
glibpth='/usr/shlib  /lib /usr/lib /usr/lib/386 /lib/386 /usr/ccs/lib /usr/ucblib /usr/local/lib '
gmake='gmake'
gmtime_r_proto='REENTRANT_PROTO_S_TS'
gnulibc_version=''
grep='grep'
groupcat='cat /etc/group'
groupstype='gid_t'
gzip='gzip'
h_fcntl='false'
h_sysfile='true'
hint='recommended'
hostcat='cat /etc/hosts'
html1dir=' '
html1direxp=''
html3dir=' '
html3direxp=''
i16size='2'
i16type='short'
i32size='4'
i32type='long'
i64size='8'
i64type='long long'
i8size='1'
i8type='char'
i_arpainet='define'
i_bsdioctl=''
i_crypt='define'
i_db='undef'
i_dbm='define'
i_dirent='define'
i_dld='undef'
i_dlfcn='define'
i_fcntl='undef'
i_float='define'
i_fp='define'
i_fp_class='undef'
i_gdbm='undef'
i_grp='define'
i_ieeefp='undef'
i_inttypes='define'
i_langinfo='define'
i_libutil='undef'
i_limits='define'
i_locale='define'
i_machcthr='undef'
i_malloc='define'
i_math='define'
i_memory='undef'
i_mntent='define'
i_ndbm='define'
i_netdb='define'
i_neterrno='undef'
i_netinettcp='define'
i_niin='define'
i_poll='define'
i_prot='undef'
i_pthread='define'
i_pwd='define'
i_rpcsvcdbm='undef'
i_sfio='undef'
i_sgtty='undef'
i_shadow='undef'
i_socks='undef'
i_stdarg='define'
i_stddef='define'
i_stdlib='define'
i_string='define'
i_sunmath='undef'
i_sysaccess='define'
i_sysdir='define'
i_sysfile='define'
i_sysfilio='undef'
i_sysin='undef'
i_sysioctl='define'
i_syslog='define'
i_sysmman='define'
i_sysmode='define'
i_sysmount='undef'
i_sysndir='undef'
i_sysparam='define'
i_sysresrc='define'
i_syssecrt='undef'
i_sysselct='define'
i_syssockio='undef'
i_sysstat='define'
i_sysstatfs='define'
i_sysstatvfs='define'
i_systime='define'
i_systimek='undef'
i_systimes='define'
i_systypes='define'
i_sysuio='define'
i_sysun='define'
i_sysutsname='define'
i_sysvfs='define'
i_syswait='define'
i_termio='undef'
i_termios='define'
i_time='define'
i_unistd='define'
i_ustat='define'
i_utime='define'
i_values='define'
i_varargs='undef'
i_varhdr='stdarg.h'
i_vfork='undef'
ignore_versioned_solibs=''
inc_version_list='5.6.1'
inc_version_list_init='"5.6.1",0'
incpath=''
inews=''
installbin='/opt/rational/common/bin'
installhtml1dir=''
installhtml3dir=''
installman1dir='/opt/rational/common/man/man1'
installman3dir='/opt/rational/common/man/man3'
installprefix='/opt/rational/common'
installprefixexp='/opt/rational/common'
installscript='/opt/rational/common/bin'
installsitearch='/opt/rational/common/lib/perl5/site_perl/5.8.6/aix-multi'
installsitebin='/opt/rational/common/bin'
installsitehtml1dir=''
installsitehtml3dir=''
installsitelib='/opt/rational/common/lib/perl5/site_perl/5.8.6'
installsiteman1dir='/opt/rational/common/man/man1'
installsiteman3dir='/opt/rational/common/man/man3'
installsitescript='/opt/rational/common/bin'
installstyle='lib/perl5'
installusrbinperl='undef'
installvendorarch=''
installvendorbin=''
installvendorhtml1dir=''
installvendorhtml3dir=''
installvendorlib=''
installvendorman1dir=''
installvendorman3dir=''
installvendorscript=''
intsize='4'
issymlink='test -h'
ivdformat='"lld"'
ivsize='8'
ivtype='long long'
known_extensions='B ByteLoader Cwd DB_File Data/Dumper Devel/DProf Devel/PPPort Devel/Peek Digest/MD5 Encode Fcntl File/Glob Filter/Util/Call GDBM_File I18N/Langinfo IO IPC/SysV List/Util MIME/Base64 NDBM_File ODBM_File Opcode POSIX PerlIO/encoding PerlIO/scalar PerlIO/via SDBM_File Socket Storable Sys/Hostname Sys/Syslog Thread Time/HiRes Unicode/Normalize XS/APItest XS/Typemap attrs re threads threads/shared'
ksh=''
ld='ld'
ldcc='xlC_r'
lddlflags='-bhalt:4 -bexpall -bI:$(PERL_INC)/perl.exp -G -bnoentry -blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads'
ldflags='-blibpath:/opt/rational/common/lib/perl5/5.8.6/aix-multi/CORE:/opt/rational/common/shlib:/usr/lib:/lib -bnoipath -brtl -L/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/threads -b32'
ldflags_uselargefiles='-b32'
ldlibpthname='LIBPATH'
less='less'
lib_ext='.a'
libc=''
libperl='libratlperl.so'
libsdirs=' /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib'
libsfiles=' libnsl.a libdbm.a libdl.a libld.a libm.a libcrypt.a libpthreads.a libc_r.a'
libsfound=' /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libnsl.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libdbm.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libdl.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libld.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libm.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libcrypt.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libpthreads.a /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib/libc_r.a'
libspath=' /vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib'
libswanted='nsl dbm dl ld m crypt C_r pthreads c_r c pthread m'
libswanted_uselargefiles='c pthread m'
line=''
lint=''
lkflags=''
ln='ln'
lns='/usr/bin/ln -s'
localtime_r_proto='REENTRANT_PROTO_S_TS'
locincpth='/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include'
loclibpth=''
longdblsize='8'
longlongsize='8'
longsize='4'
lp=''
lpr=''
ls='ls'
lseeksize='8'
lseektype='off_t'
mail=''
mailx=''
make='clearmake'
make_set_make='#'
mallocobj=''
mallocsrc=''
malloctype='void *'
man1dir='/opt/rational/common/man/man1'
man1direxp='/opt/rational/common/man/man1'
man1ext='1'
man3dir='/opt/rational/common/man/man3'
man3direxp='/opt/rational/common/man/man3'
man3ext='3'
mips_type=''
mistrustnm=''
mkdir='mkdir'
mmaptype='void *'
modetype='mode_t'
more='more'
multiarch='undef'
mv=''
myarchname='0002743A4C00-aix'
mydomain='.lexma.ibm.com'
myhostname='belair'
myuname='aix belair 1 5 0002743a4c00 '
n=''
need_va_copy='undef'
netdb_hlen_type='size_t'
netdb_host_type='const void *'
netdb_name_type='const char *'
netdb_net_type='in_addr_t'
nm='nm'
nm_opt='-B'
nm_so_opt=''
nonxs_ext='Errno'
nroff='nroff'
nvEUformat='"E"'
nvFUformat='"F"'
nvGUformat='"G"'
nv_preserves_uv_bits='53'
nveformat='"e"'
nvfformat='"f"'
nvgformat='"g"'
nvsize='8'
nvtype='double'
o_nonblock='O_NONBLOCK'
obj_ext='.o'
old_pthread_create_joinable=''
optimize='-O3'
orderlib='false'
otherlibdirs=' '
package='perl5'
pager='/usr/local/bin/less'
passcat='cat /etc/passwd'
patchlevel='8'
path_sep=':'
perl5='/usr/bin/perl'
perl='ratlperl'
perl_patchlevel=''
perladmin='sw_support@us.ibm.com'
perllibs='-lnsl -ldl -lld -lm -lcrypt -lpthreads -lc_r'
perlpath='ratlperl'
pg='pg'
phostname='hostname'
pidtype='pid_t'
plibpth=''
pmake=''
pr=''
prefixexp='/opt/rational/common'
privlib='/opt/rational/common/lib/perl5/5.8.6'
procselfexe=''
prototype='define'
ptrsize='4'
quadkind='3'
quadtype='long long'
randbits='48'
randfunc='drand48'
random_r_proto='0'
randseedtype='long'
ranlib=':'
rd_nodata='-1'
readdir64_r_proto='0'
readdir_r_proto='REENTRANT_PROTO_I_TSR'
revision='5'
rm='rm'
rmail=''
run=''
runnm='false'
sPRIEUldbl='"E"'
sPRIFUldbl='"F"'
sPRIGUldbl='"G"'
sPRIXU64='"llX"'
sPRId64='"lld"'
sPRIeldbl='"e"'
sPRIfldbl='"f"'
sPRIgldbl='"g"'
sPRIi64='"lli"'
sPRIo64='"llo"'
sPRIu64='"llu"'
sPRIx64='"llx"'
sSCNfldbl='"f"'
sched_yield='sched_yield()'
scriptdir='/opt/rational/common/bin'
scriptdirexp='/opt/rational/common/bin'
sed='sed'
seedfunc='srand48'
selectminbits='1'
selecttype='fd_set *'
sendmail=''
setgrent_r_proto='0'
sethostent_r_proto='REENTRANT_PROTO_V_ID'
setlocale_r_proto='0'
setnetent_r_proto='REENTRANT_PROTO_I_ID'
setprotoent_r_proto='REENTRANT_PROTO_I_ID'
setpwent_r_proto='0'
setservent_r_proto='REENTRANT_PROTO_I_ID'
sh='/bin/sh'
shar=''
shmattype='void *'
shortsize='2'
shrpenv=''
sig_count='64'
sig_name='ZERO HUP INT QUIT ILL TRAP ABRT EMT FPE KILL BUS SEGV SYS PIPE ALRM TERM IOINT STOP TSTP CONT CHLD TTIN TTOU AIO XCPU XFSZ NUM26 MSG WINCH PWR USR1 USR2 PROF DANGER VTALRM MIGRATE PRE VIRT ALRM1 WAITING NUM40 NUM41 NUM42 NUM43 NUM44 NUM45 NUM46 NUM47 NUM48 NUM49 NUM50 NUM51 NUM52 NUM53 NUM54 NUM55 NUM56 NUM57 RECONFIG CPUFAIL GRANT RETRACT SOUND MAX IOT LOST URG CLD IO POLL PTY KAP MAX32 SAK '
sig_name_init='"ZERO", "HUP", "INT", "QUIT", "ILL", "TRAP", "ABRT", "EMT", "FPE", "KILL", "BUS", "SEGV", "SYS", "PIPE", "ALRM", "TERM", "IOINT", "STOP", "TSTP", "CONT", "CHLD", "TTIN", "TTOU", "AIO", "XCPU", "XFSZ", "NUM26", "MSG", "WINCH", "PWR", "USR1", "USR2", "PROF", "DANGER", "VTALRM", "MIGRATE", "PRE", "VIRT", "ALRM1", "WAITING", "NUM40", "NUM41", "NUM42", "NUM43", "NUM44", "NUM45", "NUM46", "NUM47", "NUM48", "NUM49", "NUM50", "NUM51", "NUM52", "NUM53", "NUM54", "NUM55", "NUM56", "NUM57", "RECONFIG", "CPUFAIL", "GRANT", "RETRACT", "SOUND", "MAX", "IOT", "LOST", "URG", "CLD", "IO", "POLL", "PTY", "KAP", "MAX32", "SAK", 0'
sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 6 6 16 20 23 23 23 60 63 63 '
sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 6, 16, 20, 23, 23, 23, 60, 63, 63, 0'
sig_size='74'
signal_t='void'
sitearch='/opt/rational/common/lib/perl5/site_perl/5.8.6/aix-multi'
sitearchexp='/opt/rational/common/lib/perl5/site_perl/5.8.6/aix-multi'
sitebin='/opt/rational/common/bin'
sitebinexp='/opt/rational/common/bin'
sitehtml1dir=''
sitehtml1direxp=''
sitehtml3dir=''
sitehtml3direxp=''
sitelib='/opt/rational/common/lib/perl5/site_perl/5.8.6'
sitelib_stem='/opt/rational/common/lib/perl5/site_perl'
sitelibexp='/opt/rational/common/lib/perl5/site_perl/5.8.6'
siteman1dir='/opt/rational/common/man/man1'
siteman1direxp='/opt/rational/common/man/man1'
siteman3dir='/opt/rational/common/man/man3'
siteman3direxp='/opt/rational/common/man/man3'
siteprefix='/opt/rational/common'
siteprefixexp='/opt/rational/common'
sitescript='/opt/rational/common/bin'
sitescriptexp='/opt/rational/common/bin'
sizesize='4'
sizetype='size_t'
sleep=''
smail=''
sockethdr=''
socketlib=''
socksizetype='socklen_t'
sort='sort'
spackage='Perl5'
spitshell='cat'
srand48_r_proto='0'
srandom_r_proto='REENTRANT_PROTO_I_TS'
src='.'
ssizetype='ssize_t'
startperl=':'
stdchar='unsigned char'
stdio_base='((fp)->_base)'
stdio_bufsiz='((fp)->_cnt + (fp)->_ptr - (fp)->_base)'
stdio_cnt='((fp)->_cnt)'
stdio_filbuf=''
stdio_ptr='((fp)->_ptr)'
stdio_stream_array='_iob'
strerror_r_proto='0'
strings='/usr/include/string.h'
submit=''
subversion='6'
sysman='/usr/share/man/man1'
tail=''
tar=''
targetarch=''
tbl=''
tee=''
test='test'
timeincl='/usr/include/sys/time.h /usr/include/time.h '
timetype='time_t'
tmpnam_r_proto='0'
to=':'
touch='touch'
tr='tr'
trnl='\n'
troff=''
ttyname_r_proto='REENTRANT_PROTO_I_IBW'
u16size='2'
u16type='unsigned short'
u32size='4'
u32type='unsigned long'
u64size='8'
u64type='unsigned long long'
u8size='1'
u8type='unsigned char'
uidformat='"lu"'
uidsign='1'
uidsize='4'
uidtype='uid_t'
uname='uname'
uniq='uniq'
uquadtype='unsigned long long'
use5005threads='undef'
use64bitall='undef'
use64bitint='define'
usecrosscompile='undef'
usedl='define'
usefaststdio='define'
useithreads='define'
uselargefiles='define'
uselongdouble='undef'
usemallocwrap='undef'
usemorebits='undef'
usemultiplicity='define'
usemymalloc='n'
usenm='true'
useopcode='true'
useperlio='define'
useposix='true'
usereentrant='undef'
usesfio='false'
useshrplib='true'
usesocks='undef'
usethreads='define'
usevendorprefix='undef'
usevfork='false'
usrinc='/usr/include'
uuname=''
uvXUformat='"llX"'
uvoformat='"llo"'
uvsize='8'
uvtype='unsigned long long'
uvuformat='"llu"'
uvxformat='"llx"'
vendorarch=''
vendorarchexp=''
vendorbin=''
vendorbinexp=''
vendorhtml1dir=' '
vendorhtml1direxp=''
vendorhtml3dir=' '
vendorhtml3direxp=''
vendorlib=''
vendorlib_stem=''
vendorlibexp=''
vendorman1dir=' '
vendorman1direxp=''
vendorman3dir=' '
vendorman3direxp=''
vendorprefix=''
vendorprefixexp=''
vendorscript=''
vendorscriptexp=''
version='5.8.6'
version_patchlevel_string='version 8 subversion 6'
versiononly='undef'
vi=''
voidflags='15'
xlibpth='/usr/lib/386 /lib/386'
yacc='yacc'
yaccflags=''
zcat=''
zip='zip'
!END!
s/(byteorder=)(['"]).*?\2/$1$2$byteorder$2/m;
our $Config_SH : unique = $_;

# Search for it in the big string 
sub fetch_string {
    my($self, $key) = @_;

    my $quote_type = "'";
    my $marker = "$key=";

    # Check for the common case, ' delimited
    my $start = index($Config_SH, "\n$marker$quote_type");
    # If that failed, check for " delimited
    if ($start == -1) {
        $quote_type = '"';
        $start = index($Config_SH, "\n$marker$quote_type");
    }
    return undef if ( ($start == -1) &&  # in case it's first 
                      (substr($Config_SH, 0, length($marker)) ne $marker) );
    if ($start == -1) { 
        # It's the very first thing we found. Skip $start forward
        # and figure out the quote mark after the =.
        $start = length($marker) + 1;
        $quote_type = substr($Config_SH, $start - 1, 1);
    } 
    else { 
        $start += length($marker) + 2;
    }

    my $value = substr($Config_SH, $start, 
                       index($Config_SH, "$quote_type\n", $start) - $start);

    # If we had a double-quote, we'd better eval it so escape
    # sequences and such can be interpolated. Since the incoming
    # value is supposed to follow shell rules and not perl rules,
    # we escape any perl variable markers
    if ($quote_type eq '"') {
	$value =~ s/\$/\\\$/g;
	$value =~ s/\@/\\\@/g;
	eval "\$value = \"$value\"";
    }

    # So we can say "if $Config{'foo'}".
    $value = undef if $value eq 'undef';
    $self->{$key} = $value; # cache it
}

sub fetch_virtual {
    my($self, $key) = @_;

    my $value;

    if ($key =~ /^((?:cc|ld)flags|libs(?:wanted)?)_nolargefiles/) {
	# These are purely virtual, they do not exist, but need to
	# be computed on demand for largefile-incapable extensions.
	my $new_key = "${1}_uselargefiles";
	$value = $Config{$1};
	my $withlargefiles = $Config{$new_key};
	if ($new_key =~ /^(?:cc|ld)flags_/) {
	    $value =~ s/\Q$withlargefiles\E\b//;
	} elsif ($new_key =~ /^libs/) {
	    my @lflibswanted = split(' ', $Config{libswanted_uselargefiles});
	    if (@lflibswanted) {
		my %lflibswanted;
		@lflibswanted{@lflibswanted} = ();
		if ($new_key =~ /^libs_/) {
		    my @libs = grep { /^-l(.+)/ &&
                                      not exists $lflibswanted{$1} }
		                    split(' ', $Config{libs});
		    $Config{libs} = join(' ', @libs);
		} elsif ($new_key =~ /^libswanted_/) {
		    my @libswanted = grep { not exists $lflibswanted{$_} }
		                          split(' ', $Config{libswanted});
		    $Config{libswanted} = join(' ', @libswanted);
		}
	    }
	}
    }

    $self->{$key} = $value;
}

sub FETCH { 
    my($self, $key) = @_;

    # check for cached value (which may be undef so we use exists not defined)
    return $self->{$key} if exists $self->{$key};

    $self->fetch_string($key);
    return $self->{$key} if exists $self->{$key};
    $self->fetch_virtual($key);

    # Might not exist, in which undef is correct.
    return $self->{$key};
}
 
my $prevpos = 0;

sub FIRSTKEY {
    $prevpos = 0;
    substr($Config_SH, 0, index($Config_SH, '=') );
}

sub NEXTKEY {
    # Find out how the current key's quoted so we can skip to its end.
    my $quote = substr($Config_SH, index($Config_SH, "=", $prevpos)+1, 1);
    my $pos = index($Config_SH, qq($quote\n), $prevpos) + 2;
    my $len = index($Config_SH, "=", $pos) - $pos;
    $prevpos = $pos;
    $len > 0 ? substr($Config_SH, $pos, $len) : undef;
}

sub EXISTS { 
    return 1 if exists($_[0]->{$_[1]});

    return(index($Config_SH, "\n$_[1]='") != -1 or
           substr($Config_SH, 0, length($_[1])+2) eq "$_[1]='" or
           index($Config_SH, "\n$_[1]=\"") != -1 or
           substr($Config_SH, 0, length($_[1])+2) eq "$_[1]=\"" or
           $_[1] =~ /^(?:(?:cc|ld)flags|libs(?:wanted)?)_nolargefiles$/
          );
}

sub STORE  { die "\%Config::Config is read-only\n" }
*DELETE = \&STORE;
*CLEAR  = \&STORE;


sub config_sh {
    $Config_SH
}

sub config_re {
    my $re = shift;
    return map { chomp; $_ } grep eval{ /^(?:$re)=/ }, split /^/, $Config_SH;
}

sub config_vars {
    # implements -V:cfgvar option (see perlrun -V:)
    foreach (@_) {
	# find optional leading, trailing colons; and query-spec
	my ($notag,$qry,$lncont) = m/^(:)?(.*?)(:)?$/;	# flags fore and aft, 
	# map colon-flags to print decorations
	my $prfx = $notag ? '': "$qry=";		# tag-prefix for print
	my $lnend = $lncont ? ' ' : ";\n";		# line ending for print

	# all config-vars are by definition \w only, any \W means regex
	if ($qry =~ /\W/) {
	    my @matches = config_re($qry);
	    print map "$_$lnend", @matches ? @matches : "$qry: not found"		if !$notag;
	    print map { s/\w+=//; "$_$lnend" } @matches ? @matches : "$qry: not found"	if  $notag;
	} else {
	    my $v = (exists $Config{$qry}) ? $Config{$qry} : 'UNKNOWN';
	    $v = 'undef' unless defined $v;
	    print "${prfx}'${v}'$lnend";
	}
    }
}

sub TIEHASH {
    bless $_[1], $_[0];
}

# avoid Config..Exporter..UNIVERSAL search for DESTROY then AUTOLOAD
sub DESTROY { }

tie %Config, 'Config', {
    'archlibexp' => '/opt/rational/common/lib/perl5/5.8.6/aix-multi',
    'archname' => 'aix-multi',
    'cc' => 'cc_r',
    'ccflags' => '-qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi -DNEED_PTHREAD_INIT -I/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include -q32 -D_LARGE_FILES -qlonglong',
    'cppflags' => '-qthreaded -D_THREAD_SAFE -D__VACPP_MULTI__ -DNEED_PTHREAD_INIT -DPERL_IMPLICIT_CONTEXT -DPERL_USE_SAFE_PUTENV -qarch=com -qmaxmem=-1 -qlibansi -DNEED_PTHREAD_INIT -I/vobs/sys/AIX4/aix4_power_5100-ML07/usr/include',
    'dlsrc' => 'dl_aix.xs',
    'dynamic_ext' => 'B ByteLoader Cwd Data/Dumper Devel/DProf Devel/PPPort Devel/Peek Digest/MD5 Encode Fcntl File/Glob Filter/Util/Call I18N/Langinfo IO IPC/SysV List/Util MIME/Base64 NDBM_File ODBM_File Opcode POSIX PerlIO/encoding PerlIO/scalar PerlIO/via SDBM_File Socket Storable Sys/Hostname Sys/Syslog Time/HiRes Unicode/Normalize XS/APItest XS/Typemap attrs re threads threads/shared',
    'installarchlib' => '/opt/rational/common/lib/perl5/5.8.6/aix-multi',
    'installprivlib' => '/opt/rational/common/lib/perl5/5.8.6',
    'libpth' => '/vobs/sys/AIX4/aix4_power_5100-ML07/usr/lib',
    'libs' => '-lnsl -ldbm -ldl -lld -lm -lcrypt -lpthreads -lc_r',
    'osname' => 'aix',
    'osvers' => '5.1.0.0',
    'prefix' => '/opt/rational/common',
    'privlibexp' => '/opt/rational/common/lib/perl5/5.8.6',
    'sharpbang' => '#!',
    'shsharp' => 'true',
    'so' => 'so',
    'startsh' => '#!/bin/sh',
    'static_ext' => ' ',
    byteorder => $byteorder,

};

1;
